function buttonselectrotRAY(hObject, eventdata, Empty_Button, AxesAFS, roton, rotoff)
bn = get(roton,'Value');
bf = get(rotoff,'Value');

data = get(Empty_Button,'UserData');

if data.isafs == 0
    set(roton,'Value',0);
    set(roton2,'Value',0);
    set(rotoff,'Value',1);
    
    rotate3d(AxesAFS,'off')
else
    if bn == 1
        rotate3d(AxesAFS,'on')
    else
        rotate3d(AxesAFS,'off')
    end
end
